Name:          datanucleus-rdbms
Version:       3.2.9
Release:       1%{?dist}
Summary:       DataNucleus RDBMS
License:       ASL 2.0
URL:           http://www.datanucleus.org
# svn export  http://svn.code.sf.net/p/datanucleus/code/platform/store.rdbms/tags/datanucleus-rdbms-3.2.9
# tar cJf datanucleus-core-rdbms-3.2.9.tar.xz datanucleus-rdbms-3.2.9
Source0:       %{name}-%{version}.tar.xz

BuildRequires: java-devel
BuildRequires: mvn(com.mchange:c3p0)
BuildRequires: mvn(commons-collections:commons-collections)
BuildRequires: mvn(commons-dbcp:commons-dbcp)
BuildRequires: mvn(commons-pool:commons-pool)
BuildRequires: mvn(javax.time:time-api)
BuildRequires: mvn(javax.transaction:jta)
BuildRequires: mvn(org.datanucleus:datanucleus-core)
BuildRequires: mvn(org.sonatype.oss:oss-parent)
BuildRequires: mvn(proxool:proxool)
BuildRequires: mvn(org.ow2.asm:asm)
# TODO BuildRequires: mvn(org.apache.tomcat:tomcat-jdbc)
BuildRequires: tomcat-lib
# Test deps
BuildRequires: mvn(junit:junit)
BuildRequires: mvn(log4j:log4j)

BuildRequires: maven-local
BuildRequires: maven-install-plugin

BuildArch:     noarch

%description
Plugin for DataNucleus providing persistence to RDBMS data-stores.

%package javadoc
Summary:       Javadoc for %{name}

%description javadoc
This package contains javadoc for %{name}.

%prep
%setup -q -n %{name}-%{version}

# Fix c3p0 gId
%pom_xpath_set "pom:project/pom:dependencies/pom:dependency[pom:artifactId = 'c3p0' ]/pom:groupId" com.mchange

# Non free
%pom_remove_dep oracle:ojdbc14_g
%pom_remove_dep oracle:xdb
%pom_remove_dep oracle:xmlparser
rm -r src/java/org/datanucleus/store/rdbms/mapping/oracle/Oracle*.java \
 src/java/org/datanucleus/store/rdbms/mapping/oracle/XMLTypeRDBMSMapping.java \
 src/java/org/datanucleus/store/rdbms/adapter/OracleAdapter.java

# Unavailable pom
%pom_xpath_inject "pom:dependencies/pom:dependency[pom:artifactId='tomcat-jdbc']" "<systemPath>$(build-classpath tomcat/tomcat-jdbc)</systemPath>"
%pom_xpath_inject "pom:dependencies/pom:dependency[pom:artifactId='tomcat-jdbc']" "<scope>system</scope>"

# Unavailable dep
%pom_remove_dep com.jolbox:bonecp
rm -r src/java/org/datanucleus/store/rdbms/connectionpool/BoneCP*.java
# Required by bonecp
%pom_remove_dep org.slf4j:slf4j-api
%pom_remove_dep org.slf4j:slf4j-log4j12

%pom_xpath_remove "pom:project/pom:build/pom:plugins/pom:plugin[pom:artifactId = 'maven-bundle-plugin' ]/pom:configuration/pom:manifestLocation"
%pom_xpath_remove "pom:project/pom:build/pom:plugins/pom:plugin[pom:artifactId = 'maven-bundle-plugin' ]/pom:configuration/pom:dumpInstructions"
%pom_xpath_inject "pom:project/pom:build/pom:plugins/pom:plugin[pom:artifactId = 'maven-bundle-plugin' ]/pom:configuration/pom:instructions" '
<Require-Bundle>org.datanucleus;bundle-version="${project.version}"</Require-Bundle>
<Bundle-Name>${project.name}</Bundle-Name>
<Bundle-Vendor>DataNucleus</Bundle-Vendor>'
%pom_xpath_inject "pom:project/pom:build/pom:plugins/pom:plugin[pom:artifactId = 'maven-bundle-plugin' ]" "
<executions>
  <execution>
    <id>bundle-manifest</id>
    <phase>process-classes</phase>
    <goals>
      <goal>manifest</goal>
    </goals>
  </execution>
</executions>"
%pom_xpath_set "pom:project/pom:build/pom:plugins/pom:plugin[pom:artifactId = 'maven-jar-plugin' ]/pom:configuration/pom:archive/pom:manifestFile" '${project.build.outputDirectory}/META-INF/MANIFEST.MF'

sed -i 's/\r//' META-INF/LICENSE.txt META-INF/NOTICE.txt META-INF/README.txt
cp -p META-INF/LICENSE.txt .
cp -p META-INF/NOTICE.txt .
cp -p META-INF/README.txt .

%build

%mvn_file : %{name}
xmvn -B -o install javadoc:aggregate

%install

mkdir -p %{buildroot}%{_javadir}
install -m 644 target/%{name}-%{version}.jar %{buildroot}%{_javadir}/%{name}.jar

mkdir -p %{buildroot}%{_mavenpomdir}
install -pm 644 pom.xml %{buildroot}%{_mavenpomdir}/JPP-%{name}.pom
%add_maven_depmap

mkdir -p %{buildroot}%{_javadocdir}/%{name}
cp -pr target/site/apidocs/* %{buildroot}%{_javadocdir}/%{name}

%files
%{_javadir}/%{name}.jar
%{_mavenpomdir}/JPP-%{name}.pom
%{_mavendepmapfragdir}/%{name} 
%doc LICENSE.txt NOTICE.txt README.txt

%files javadoc
%{_javadocdir}/%{name}
%doc LICENSE.txt NOTICE.txt

%changelog
* Tue Dec 10 2013 Peter MacKinnon <pmackinn@redhat.com> 3.2.9-1
- updated to version 3.2.9
- switched to manual xmvn build and install

* Fri Sep 20 2013 gil cattaneo <puntogil@libero.it> 3.2.6-1
- initial rpm
